dahdi You do not appear to have the sources for the kernel installed

5 (100%) 1 vote

dahdi You do not appear to have the sources for the kernel installed

It is important that the kernel version being used match exactly that of the kernel source being installed.

You can use uname -a to verify the currently running kernel version:

CentOS: sudo yum install kernel-devel-uname -r

Ubuntu: sudo apt-get install linux-headers-`uname -r

Starting with DAHDI-Linux-complete version 2.8.0+2.8.0, all files necessary to install DAHDI are available in the complete tarball.

Therefore, all you need to do to install DAHDI is:

cd /usr/src/dahdi-linux-complete (Assuming this is the path wher dahdi tarball is located).

make && make install && make config

service dahdi start (centos)
/etc/init.d/dahdi start (Debian)


There could be on more reason.

You need to install the kernel-devel package that matches the kernel that is actually running (not necessarily the latest available one, which is what you will get by default).

yum install kernel-devel

 

For any query or issue, feel free to discuss on http://discuss.eduguru.in
%d bloggers like this: